let
set = {
  # adatped from nixpkgs/nixos/modules/services/web-servers/apache-httpd/default.nix
  httpdInte  = import ../websites/httpd-service-builder.nix { httpdName = "Inte"; withUsers = false; };
  httpdProd  = import ../websites/httpd-service-builder.nix { httpdName = "Prod"; withUsers = false; };
  httpdTools = import ../websites/httpd-service-builder.nix { httpdName = "Tools"; withUsers = true; };

  databases  = ./databases;
  mariadb    = ./databases/mariadb.nix;
  openldap   = ./databases/openldap;
  postgresql = ./databases/postgresql.nix;
  redis      = ./databases/redis.nix;

  websites = ./websites;
  atenInte = ./websites/aten/integration.nix;
  atenProd = ./websites/aten/production.nix;
  capitainesProd = ./websites/capitaines/production.nix;
  chloeInte = ./websites/chloe/integration.nix;
  chloeProd = ./websites/chloe/production.nix;
  connexionswingInte = ./websites/connexionswing/integration.nix;
  connexionswingProd = ./websites/connexionswing/production.nix;
  denisejeromeProd = ./websites/denisejerome/production.nix;
  emiliaProd = ./websites/emilia/production.nix;
  florianApp = ./websites/florian/app.nix;
  florianInte = ./websites/florian/integration.nix;
  florianProd = ./websites/florian/production.nix;
  immaeProd = ./websites/immae/production.nix;
  immaeRelease = ./websites/immae/release.nix;
  immaeTemp = ./websites/immae/temp.nix;
  leilaProd = ./websites/leila/production.nix;
  ludivinecassalInte = ./websites/ludivinecassal/integration.nix;
  ludivinecassalProd = ./websites/ludivinecassal/production.nix;
  nassimeProd = ./websites/nassime/production.nix;
  naturaloutilProd = ./websites/naturaloutil/production.nix;
  papaSurveillance = ./websites/papa/surveillance.nix;
  piedsjalouxInte = ./websites/piedsjaloux/integration.nix;
  piedsjalouxProd = ./websites/piedsjaloux/production.nix;

  irc = ./irc.nix;
};
in
builtins.listToAttrs (map (attr: { name = "priv${attr}"; value = set.${attr}; }) (builtins.attrNames set))
